public abstract class LexiconFunction extends Object
MarkLogicInputFormat and
MarkLogicRecordReader get the input query and
split query from these classes when a lexicon function is specified in the
config by setting
input.lexiconfunctionclass.| Constructor and Description |
|---|
LexiconFunction() |
| Modifier and Type | Method and Description |
|---|---|
abstract String |
getInputQuery(Collection<String> nsCol,
long start,
long count)
Get the input query used by a record reader.
|
String |
getLexiconQuery()
Get the cts:query specified by the user as part of the lexicon function
to filter fragments used to retrieve the lexicons.
|
String[] |
getUserDefinedOptions()
Get user-defined options for the lexicon function.
|
public String getLexiconQuery()
This corresponds to the $query parameter of a lexicon function. Users may override this method if the default is not suitable.
public abstract String getInputQuery(Collection<String> nsCol, long start, long count)
nsCol - alias-URI pairs of namespace specsstart - start of the splitcount - count of the splitpublic String[] getUserDefinedOptions()
This method corresponds to the $options parameter of a lexicon function. Override this method to pass options to the lexicon function. The options skip and truncate are reserved for internal use by the connector.
Copyright © 2023 MarkLogic Corporation
Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com